import { FieldInfo } from 'model-util-base'
import { ConditionUtil, ConditionUtilImpl, FieldUtil, TableUtilImpl, IdType, JoinTable, SubTable } from 'model-util'
import { Container, Singleton } from 'typescript-ioc' 
import { BusOrder } from '../models/index' 
/**
 * @author auto generate
 * @version 1.2
 * @date 2020-12-29 15:31
 */
interface BusOrderCU extends ConditionUtil<BusOrderCU>{
    ORDER_NO:FieldUtil<BusOrderCU>;
    APP_ID:FieldUtil<BusOrderCU>;
    USER_ID:FieldUtil<BusOrderCU>;
    OPEN_ID:FieldUtil<BusOrderCU>;
    ENTER_APP_ID:FieldUtil<BusOrderCU>;
    ENTER_OPEN_ID:FieldUtil<BusOrderCU>;
    MCH_ID:FieldUtil<BusOrderCU>;
    SUB_MCH_ID:FieldUtil<BusOrderCU>;
    TRANSACTION_ID:FieldUtil<BusOrderCU>;
    ORDER_CATEGORY:FieldUtil<BusOrderCU>;
    PAYMENT_METHOD:FieldUtil<BusOrderCU>;
    BANK_TYPE:FieldUtil<BusOrderCU>;
    ORIGIN:FieldUtil<BusOrderCU>;
    LOT_ORDER_ID:FieldUtil<BusOrderCU>;
    LOT_ID:FieldUtil<BusOrderCU>;
    CAR_PLATE_NUM:FieldUtil<BusOrderCU>;
    ACTIVITY_ID:FieldUtil<BusOrderCU>;
    COUPON_INFO_ID:FieldUtil<BusOrderCU>;
    PARKING_TOTAL_FEE:FieldUtil<BusOrderCU>;
    TOTAL_FEE:FieldUtil<BusOrderCU>;
    COUPON_SUBJECT:FieldUtil<BusOrderCU>;
    COUPON_FEE:FieldUtil<BusOrderCU>;
    CASH_FEE:FieldUtil<BusOrderCU>;
    COME_TIME:FieldUtil<BusOrderCU>;
    CAR_IMAGE:FieldUtil<BusOrderCU>;
    OUT_TIME:FieldUtil<BusOrderCU>;
    PARKING_TIME:FieldUtil<BusOrderCU>;
    PAY_TIME:FieldUtil<BusOrderCU>;
    LEAVE_TIME:FieldUtil<BusOrderCU>;
    PREPAY_ID:FieldUtil<BusOrderCU>;
    ATTACH:FieldUtil<BusOrderCU>;
    REMARK:FieldUtil<BusOrderCU>;
    IS_DELETED:FieldUtil<BusOrderCU>;
    SEND_TYPE:FieldUtil<BusOrderCU>;
    TRADE_STATE:FieldUtil<BusOrderCU>;
    REFUND_STATE:FieldUtil<BusOrderCU>;
    SEND_STATE:FieldUtil<BusOrderCU>;
    REGION_ID:FieldUtil<BusOrderCU>;
    CREATE_TIME:FieldUtil<BusOrderCU>;
    UPDATE_TIME:FieldUtil<BusOrderCU>;
}

class BusOrderCUImpl extends ConditionUtilImpl<BusOrderCUImpl> implements BusOrderCU{ 
    newInstance(): BusOrderCUImpl {
        return new BusOrderCUImpl();
    } 
    get ORDER_NO(): FieldUtil<BusOrderCU>{  
        return new FieldUtil('ORDER_NO','orderNo','', this);
    }
    get APP_ID(): FieldUtil<BusOrderCU>{  
        return new FieldUtil('APP_ID','appId','', this);
    }
    get USER_ID(): FieldUtil<BusOrderCU>{  
        return new FieldUtil('USER_ID','userId','', this);
    }
    get OPEN_ID(): FieldUtil<BusOrderCU>{  
        return new FieldUtil('OPEN_ID','openId','', this);
    }
    get ENTER_APP_ID(): FieldUtil<BusOrderCU>{  
        return new FieldUtil('ENTER_APP_ID','enterAppId','入口APPID', this);
    }
    get ENTER_OPEN_ID(): FieldUtil<BusOrderCU>{  
        return new FieldUtil('ENTER_OPEN_ID','enterOpenId','', this);
    }
    get MCH_ID(): FieldUtil<BusOrderCU>{  
        return new FieldUtil('MCH_ID','mchId','', this);
    }
    get SUB_MCH_ID(): FieldUtil<BusOrderCU>{  
        return new FieldUtil('SUB_MCH_ID','subMchId','', this);
    }
    get TRANSACTION_ID(): FieldUtil<BusOrderCU>{  
        return new FieldUtil('TRANSACTION_ID','transactionId','', this);
    }
    get ORDER_CATEGORY(): FieldUtil<BusOrderCU>{  
        return new FieldUtil('ORDER_CATEGORY','orderCategory','', this);
    }
    get PAYMENT_METHOD(): FieldUtil<BusOrderCU>{  
        return new FieldUtil('PAYMENT_METHOD','paymentMethod','支付方式 00 微信支付 01  免密支付 02 VIP支付 03 停车币', this);
    }
    get BANK_TYPE(): FieldUtil<BusOrderCU>{  
        return new FieldUtil('BANK_TYPE','bankType','银行卡类型', this);
    }
    get ORIGIN(): FieldUtil<BusOrderCU>{  
        return new FieldUtil('ORIGIN','origin','订单支付来源：00:微信/01:支付宝/02:H5/03:APP', this);
    }
    get LOT_ORDER_ID(): FieldUtil<BusOrderCU>{  
        return new FieldUtil('LOT_ORDER_ID','lotOrderId','', this);
    }
    get LOT_ID(): FieldUtil<BusOrderCU>{  
        return new FieldUtil('LOT_ID','lotId','', this);
    }
    get CAR_PLATE_NUM(): FieldUtil<BusOrderCU>{  
        return new FieldUtil('CAR_PLATE_NUM','carPlateNum','', this);
    }
    get ACTIVITY_ID(): FieldUtil<BusOrderCU>{  
        return new FieldUtil('ACTIVITY_ID','activityId','', this);
    }
    get COUPON_INFO_ID(): FieldUtil<BusOrderCU>{  
        return new FieldUtil('COUPON_INFO_ID','couponInfoId','', this);
    }
    get PARKING_TOTAL_FEE(): FieldUtil<BusOrderCU>{  
        return new FieldUtil('PARKING_TOTAL_FEE','parkingTotalFee','车场金额额', this);
    }
    get TOTAL_FEE(): FieldUtil<BusOrderCU>{  
        return new FieldUtil('TOTAL_FEE','totalFee','', this);
    }
    get COUPON_SUBJECT(): FieldUtil<BusOrderCU>{  
        return new FieldUtil('COUPON_SUBJECT','couponSubject','优惠费用主体', this);
    }
    get COUPON_FEE(): FieldUtil<BusOrderCU>{  
        return new FieldUtil('COUPON_FEE','couponFee','', this);
    }
    get CASH_FEE(): FieldUtil<BusOrderCU>{  
        return new FieldUtil('CASH_FEE','cashFee','', this);
    }
    get COME_TIME(): FieldUtil<BusOrderCU>{  
        return new FieldUtil('COME_TIME','comeTime','', this);
    }
    get CAR_IMAGE(): FieldUtil<BusOrderCU>{  
        return new FieldUtil('CAR_IMAGE','carImage','', this);
    }
    get OUT_TIME(): FieldUtil<BusOrderCU>{  
        return new FieldUtil('OUT_TIME','outTime','', this);
    }
    get PARKING_TIME(): FieldUtil<BusOrderCU>{  
        return new FieldUtil('PARKING_TIME','parkingTime','分钟', this);
    }
    get PAY_TIME(): FieldUtil<BusOrderCU>{  
        return new FieldUtil('PAY_TIME','payTime','', this);
    }
    get LEAVE_TIME(): FieldUtil<BusOrderCU>{  
        return new FieldUtil('LEAVE_TIME','leaveTime','', this);
    }
    get PREPAY_ID(): FieldUtil<BusOrderCU>{  
        return new FieldUtil('PREPAY_ID','prepayId','预付费ID', this);
    }
    get ATTACH(): FieldUtil<BusOrderCU>{  
        return new FieldUtil('ATTACH','attach','', this);
    }
    get REMARK(): FieldUtil<BusOrderCU>{  
        return new FieldUtil('REMARK','remark','', this);
    }
    get IS_DELETED(): FieldUtil<BusOrderCU>{  
        return new FieldUtil('IS_DELETED','isDeleted','是否删除 Y：是，N：否', this);
    }
    get SEND_TYPE(): FieldUtil<BusOrderCU>{  
        return new FieldUtil('SEND_TYPE','sendType','', this);
    }
    get TRADE_STATE(): FieldUtil<BusOrderCU>{  
        return new FieldUtil('TRADE_STATE','tradeState','00:已支付,01:未支付,02:支付失败', this);
    }
    get REFUND_STATE(): FieldUtil<BusOrderCU>{  
        return new FieldUtil('REFUND_STATE','refundState','', this);
    }
    get SEND_STATE(): FieldUtil<BusOrderCU>{  
        return new FieldUtil('SEND_STATE','sendState','', this);
    }
    get REGION_ID(): FieldUtil<BusOrderCU>{  
        return new FieldUtil('REGION_ID','regionId','分区ID', this);
    }
    get CREATE_TIME(): FieldUtil<BusOrderCU>{  
        return new FieldUtil('CREATE_TIME','createTime','创建时间', this);
    }
    get UPDATE_TIME(): FieldUtil<BusOrderCU>{  
        return new FieldUtil('UPDATE_TIME','updateTime','更新时间', this);
    }
}

@Singleton 
class BusOrderMU extends TableUtilImpl<BusOrderCU,BusOrder>{ 
    tableName  = 'bus_order';
    tableFields  = ['ORDER_NO','APP_ID','USER_ID','OPEN_ID','ENTER_APP_ID','ENTER_OPEN_ID','MCH_ID','SUB_MCH_ID','TRANSACTION_ID','ORDER_CATEGORY','PAYMENT_METHOD','BANK_TYPE','ORIGIN','LOT_ORDER_ID','LOT_ID','CAR_PLATE_NUM','ACTIVITY_ID','COUPON_INFO_ID','PARKING_TOTAL_FEE','TOTAL_FEE','COUPON_SUBJECT','COUPON_FEE','CASH_FEE','COME_TIME','CAR_IMAGE','OUT_TIME','PARKING_TIME','PAY_TIME','LEAVE_TIME','PREPAY_ID','ATTACH','REMARK','IS_DELETED','SEND_TYPE','TRADE_STATE','REFUND_STATE','SEND_STATE','REGION_ID','CREATE_TIME','UPDATE_TIME'];
    modelFields  = ['orderNo','appId','userId','openId','enterAppId','enterOpenId','mchId','subMchId','transactionId','orderCategory','paymentMethod','bankType','origin','lotOrderId','lotId','carPlateNum','activityId','couponInfoId','parkingTotalFee','totalFee','couponSubject','couponFee','cashFee','comeTime','carImage','outTime','parkingTime','payTime','leaveTime','prepayId','attach','remark','isDeleted','sendType','tradeState','refundState','sendState','regionId','createTime','updateTime'];
    modelIdFields  = ['orderNo'];
    tableIdFields  = ['ORDER_NO'];
    idType = IdType.CUSTOM;
    joinTables = [];
    subTables = [];

    createConditionUtil(): BusOrderCU {
        return new BusOrderCUImpl();
    }   

    static get ORDER_NO(): FieldUtil<BusOrderCU>{ 
        return new FieldUtil('ORDER_NO','orderNo','', new BusOrderCUImpl());
    }
    static get APP_ID(): FieldUtil<BusOrderCU>{ 
        return new FieldUtil('APP_ID','appId','', new BusOrderCUImpl());
    }
    static get USER_ID(): FieldUtil<BusOrderCU>{ 
        return new FieldUtil('USER_ID','userId','', new BusOrderCUImpl());
    }
    static get OPEN_ID(): FieldUtil<BusOrderCU>{ 
        return new FieldUtil('OPEN_ID','openId','', new BusOrderCUImpl());
    }
    static get ENTER_APP_ID(): FieldUtil<BusOrderCU>{ 
        return new FieldUtil('ENTER_APP_ID','enterAppId','入口APPID', new BusOrderCUImpl());
    }
    static get ENTER_OPEN_ID(): FieldUtil<BusOrderCU>{ 
        return new FieldUtil('ENTER_OPEN_ID','enterOpenId','', new BusOrderCUImpl());
    }
    static get MCH_ID(): FieldUtil<BusOrderCU>{ 
        return new FieldUtil('MCH_ID','mchId','', new BusOrderCUImpl());
    }
    static get SUB_MCH_ID(): FieldUtil<BusOrderCU>{ 
        return new FieldUtil('SUB_MCH_ID','subMchId','', new BusOrderCUImpl());
    }
    static get TRANSACTION_ID(): FieldUtil<BusOrderCU>{ 
        return new FieldUtil('TRANSACTION_ID','transactionId','', new BusOrderCUImpl());
    }
    static get ORDER_CATEGORY(): FieldUtil<BusOrderCU>{ 
        return new FieldUtil('ORDER_CATEGORY','orderCategory','', new BusOrderCUImpl());
    }
    static get PAYMENT_METHOD(): FieldUtil<BusOrderCU>{ 
        return new FieldUtil('PAYMENT_METHOD','paymentMethod','支付方式 00 微信支付 01  免密支付 02 VIP支付 03 停车币', new BusOrderCUImpl());
    }
    static get BANK_TYPE(): FieldUtil<BusOrderCU>{ 
        return new FieldUtil('BANK_TYPE','bankType','银行卡类型', new BusOrderCUImpl());
    }
    static get ORIGIN(): FieldUtil<BusOrderCU>{ 
        return new FieldUtil('ORIGIN','origin','订单支付来源：00:微信/01:支付宝/02:H5/03:APP', new BusOrderCUImpl());
    }
    static get LOT_ORDER_ID(): FieldUtil<BusOrderCU>{ 
        return new FieldUtil('LOT_ORDER_ID','lotOrderId','', new BusOrderCUImpl());
    }
    static get LOT_ID(): FieldUtil<BusOrderCU>{ 
        return new FieldUtil('LOT_ID','lotId','', new BusOrderCUImpl());
    }
    static get CAR_PLATE_NUM(): FieldUtil<BusOrderCU>{ 
        return new FieldUtil('CAR_PLATE_NUM','carPlateNum','', new BusOrderCUImpl());
    }
    static get ACTIVITY_ID(): FieldUtil<BusOrderCU>{ 
        return new FieldUtil('ACTIVITY_ID','activityId','', new BusOrderCUImpl());
    }
    static get COUPON_INFO_ID(): FieldUtil<BusOrderCU>{ 
        return new FieldUtil('COUPON_INFO_ID','couponInfoId','', new BusOrderCUImpl());
    }
    static get PARKING_TOTAL_FEE(): FieldUtil<BusOrderCU>{ 
        return new FieldUtil('PARKING_TOTAL_FEE','parkingTotalFee','车场金额额', new BusOrderCUImpl());
    }
    static get TOTAL_FEE(): FieldUtil<BusOrderCU>{ 
        return new FieldUtil('TOTAL_FEE','totalFee','', new BusOrderCUImpl());
    }
    static get COUPON_SUBJECT(): FieldUtil<BusOrderCU>{ 
        return new FieldUtil('COUPON_SUBJECT','couponSubject','优惠费用主体', new BusOrderCUImpl());
    }
    static get COUPON_FEE(): FieldUtil<BusOrderCU>{ 
        return new FieldUtil('COUPON_FEE','couponFee','', new BusOrderCUImpl());
    }
    static get CASH_FEE(): FieldUtil<BusOrderCU>{ 
        return new FieldUtil('CASH_FEE','cashFee','', new BusOrderCUImpl());
    }
    static get COME_TIME(): FieldUtil<BusOrderCU>{ 
        return new FieldUtil('COME_TIME','comeTime','', new BusOrderCUImpl());
    }
    static get CAR_IMAGE(): FieldUtil<BusOrderCU>{ 
        return new FieldUtil('CAR_IMAGE','carImage','', new BusOrderCUImpl());
    }
    static get OUT_TIME(): FieldUtil<BusOrderCU>{ 
        return new FieldUtil('OUT_TIME','outTime','', new BusOrderCUImpl());
    }
    static get PARKING_TIME(): FieldUtil<BusOrderCU>{ 
        return new FieldUtil('PARKING_TIME','parkingTime','分钟', new BusOrderCUImpl());
    }
    static get PAY_TIME(): FieldUtil<BusOrderCU>{ 
        return new FieldUtil('PAY_TIME','payTime','', new BusOrderCUImpl());
    }
    static get LEAVE_TIME(): FieldUtil<BusOrderCU>{ 
        return new FieldUtil('LEAVE_TIME','leaveTime','', new BusOrderCUImpl());
    }
    static get PREPAY_ID(): FieldUtil<BusOrderCU>{ 
        return new FieldUtil('PREPAY_ID','prepayId','预付费ID', new BusOrderCUImpl());
    }
    static get ATTACH(): FieldUtil<BusOrderCU>{ 
        return new FieldUtil('ATTACH','attach','', new BusOrderCUImpl());
    }
    static get REMARK(): FieldUtil<BusOrderCU>{ 
        return new FieldUtil('REMARK','remark','', new BusOrderCUImpl());
    }
    static get IS_DELETED(): FieldUtil<BusOrderCU>{ 
        return new FieldUtil('IS_DELETED','isDeleted','是否删除 Y：是，N：否', new BusOrderCUImpl());
    }
    static get SEND_TYPE(): FieldUtil<BusOrderCU>{ 
        return new FieldUtil('SEND_TYPE','sendType','', new BusOrderCUImpl());
    }
    static get TRADE_STATE(): FieldUtil<BusOrderCU>{ 
        return new FieldUtil('TRADE_STATE','tradeState','00:已支付,01:未支付,02:支付失败', new BusOrderCUImpl());
    }
    static get REFUND_STATE(): FieldUtil<BusOrderCU>{ 
        return new FieldUtil('REFUND_STATE','refundState','', new BusOrderCUImpl());
    }
    static get SEND_STATE(): FieldUtil<BusOrderCU>{ 
        return new FieldUtil('SEND_STATE','sendState','', new BusOrderCUImpl());
    }
    static get REGION_ID(): FieldUtil<BusOrderCU>{ 
        return new FieldUtil('REGION_ID','regionId','分区ID', new BusOrderCUImpl());
    }
    static get CREATE_TIME(): FieldUtil<BusOrderCU>{ 
        return new FieldUtil('CREATE_TIME','createTime','创建时间', new BusOrderCUImpl());
    }
    static get UPDATE_TIME(): FieldUtil<BusOrderCU>{ 
        return new FieldUtil('UPDATE_TIME','updateTime','更新时间', new BusOrderCUImpl());
    }

    get ORDER_NO(): FieldUtil<BusOrderCU>{ 
        return BusOrderMU.ORDER_NO;
    }
    get APP_ID(): FieldUtil<BusOrderCU>{ 
        return BusOrderMU.APP_ID;
    }
    get USER_ID(): FieldUtil<BusOrderCU>{ 
        return BusOrderMU.USER_ID;
    }
    get OPEN_ID(): FieldUtil<BusOrderCU>{ 
        return BusOrderMU.OPEN_ID;
    }
    get ENTER_APP_ID(): FieldUtil<BusOrderCU>{ 
        return BusOrderMU.ENTER_APP_ID;
    }
    get ENTER_OPEN_ID(): FieldUtil<BusOrderCU>{ 
        return BusOrderMU.ENTER_OPEN_ID;
    }
    get MCH_ID(): FieldUtil<BusOrderCU>{ 
        return BusOrderMU.MCH_ID;
    }
    get SUB_MCH_ID(): FieldUtil<BusOrderCU>{ 
        return BusOrderMU.SUB_MCH_ID;
    }
    get TRANSACTION_ID(): FieldUtil<BusOrderCU>{ 
        return BusOrderMU.TRANSACTION_ID;
    }
    get ORDER_CATEGORY(): FieldUtil<BusOrderCU>{ 
        return BusOrderMU.ORDER_CATEGORY;
    }
    get PAYMENT_METHOD(): FieldUtil<BusOrderCU>{ 
        return BusOrderMU.PAYMENT_METHOD;
    }
    get BANK_TYPE(): FieldUtil<BusOrderCU>{ 
        return BusOrderMU.BANK_TYPE;
    }
    get ORIGIN(): FieldUtil<BusOrderCU>{ 
        return BusOrderMU.ORIGIN;
    }
    get LOT_ORDER_ID(): FieldUtil<BusOrderCU>{ 
        return BusOrderMU.LOT_ORDER_ID;
    }
    get LOT_ID(): FieldUtil<BusOrderCU>{ 
        return BusOrderMU.LOT_ID;
    }
    get CAR_PLATE_NUM(): FieldUtil<BusOrderCU>{ 
        return BusOrderMU.CAR_PLATE_NUM;
    }
    get ACTIVITY_ID(): FieldUtil<BusOrderCU>{ 
        return BusOrderMU.ACTIVITY_ID;
    }
    get COUPON_INFO_ID(): FieldUtil<BusOrderCU>{ 
        return BusOrderMU.COUPON_INFO_ID;
    }
    get PARKING_TOTAL_FEE(): FieldUtil<BusOrderCU>{ 
        return BusOrderMU.PARKING_TOTAL_FEE;
    }
    get TOTAL_FEE(): FieldUtil<BusOrderCU>{ 
        return BusOrderMU.TOTAL_FEE;
    }
    get COUPON_SUBJECT(): FieldUtil<BusOrderCU>{ 
        return BusOrderMU.COUPON_SUBJECT;
    }
    get COUPON_FEE(): FieldUtil<BusOrderCU>{ 
        return BusOrderMU.COUPON_FEE;
    }
    get CASH_FEE(): FieldUtil<BusOrderCU>{ 
        return BusOrderMU.CASH_FEE;
    }
    get COME_TIME(): FieldUtil<BusOrderCU>{ 
        return BusOrderMU.COME_TIME;
    }
    get CAR_IMAGE(): FieldUtil<BusOrderCU>{ 
        return BusOrderMU.CAR_IMAGE;
    }
    get OUT_TIME(): FieldUtil<BusOrderCU>{ 
        return BusOrderMU.OUT_TIME;
    }
    get PARKING_TIME(): FieldUtil<BusOrderCU>{ 
        return BusOrderMU.PARKING_TIME;
    }
    get PAY_TIME(): FieldUtil<BusOrderCU>{ 
        return BusOrderMU.PAY_TIME;
    }
    get LEAVE_TIME(): FieldUtil<BusOrderCU>{ 
        return BusOrderMU.LEAVE_TIME;
    }
    get PREPAY_ID(): FieldUtil<BusOrderCU>{ 
        return BusOrderMU.PREPAY_ID;
    }
    get ATTACH(): FieldUtil<BusOrderCU>{ 
        return BusOrderMU.ATTACH;
    }
    get REMARK(): FieldUtil<BusOrderCU>{ 
        return BusOrderMU.REMARK;
    }
    get IS_DELETED(): FieldUtil<BusOrderCU>{ 
        return BusOrderMU.IS_DELETED;
    }
    get SEND_TYPE(): FieldUtil<BusOrderCU>{ 
        return BusOrderMU.SEND_TYPE;
    }
    get TRADE_STATE(): FieldUtil<BusOrderCU>{ 
        return BusOrderMU.TRADE_STATE;
    }
    get REFUND_STATE(): FieldUtil<BusOrderCU>{ 
        return BusOrderMU.REFUND_STATE;
    }
    get SEND_STATE(): FieldUtil<BusOrderCU>{ 
        return BusOrderMU.SEND_STATE;
    }
    get REGION_ID(): FieldUtil<BusOrderCU>{ 
        return BusOrderMU.REGION_ID;
    }
    get CREATE_TIME(): FieldUtil<BusOrderCU>{ 
        return BusOrderMU.CREATE_TIME;
    }
    get UPDATE_TIME(): FieldUtil<BusOrderCU>{ 
        return BusOrderMU.UPDATE_TIME;
    }
}
export {BusOrderMU, BusOrderCU}
